This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015955 - CNF Exception during installation (HexConverter) FSW ER4
CNF Exception during installation (HexConverter) FSW ER4
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Installer (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Thomas Hauser
Pavel Drozd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 02:27 EDT by Pavel Drozd
Modified: 2014-02-06 10:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SSL Security Enabled (110.52 KB, image/png)
2013-10-07 02:27 EDT, Pavel Drozd
no flags Details
CNFE (312.03 KB, image/png)
2013-10-07 02:29 EDT, Pavel Drozd
no flags Details

  None (edit)
Description Pavel Drozd 2013-10-07 02:27:57 EDT
Created attachment 808712 [details]
SSL Security Enabled

When I select Post install configuration with selected "Enabled SSL Security". CNF Exception (org.jboss.saslutil.HexConverter) is thrown during installation. Screen shots attached
Comment 1 Pavel Drozd 2013-10-07 02:29:02 EDT
Created attachment 808713 [details]
CNFE
Comment 2 Thomas Hauser 2013-10-07 11:08:24 EDT
This is due to a missing dependency. It has been added and will be in the next build. If this is needed for beta, please mark as a beta blocker and I will patch in the dependency for an installer respin.
Comment 5 Thomas Hauser 2013-10-10 14:32:39 EDT
For the beta, the CNF Exception will be gone. However, because of CommandContext limitations, the prompt will no longer be displayed with the new logging functionality. Thus, the user will not know he is being prompted for an answer (CommandContext uses explicit System.out.println() calls). In post-beta builds, this will be resolved.
Comment 6 Pavel Drozd 2013-12-13 08:03:33 EST
Verified in FSW 600ER7

Note You need to log in before you can comment on or make changes to this bug.